Resources:
  RStudioExecutionRole:
    Type: AWS::IAM::Role
    Properties:
      AssumeRolePolicyDocument:
        Statement:
          - Effect: Allow
            Principal:
              Service:
                - sagemaker.amazonaws.com
            Action:
              - sts:AssumeRole
      Path: "/"
      Policies:
        - PolicyName: rstudio-domain-setting
          PolicyDocument:
            Version: "2012-10-17"
            Statement:
              - Effect: Allow
                Action:
                - license-manager:ExtendLicenseConsumption
                - license-manager:ListReceivedLicenses
                - license-manager:GetLicense
                - license-manager:CheckoutLicense
                - license-manager:CheckInLicense
                - logs:CreateLogDelivery
                - logs:CreateLogGroup
                - logs:CreateLogStream
                - logs:DeleteLogDelivery
                - logs:Describe*
                - logs:GetLogDelivery
                - logs:GetLogEvents
                - logs:ListLogDeliveries
                - logs:PutLogEvents
                - logs:PutResourcePolicy
                - logs:UpdateLogDelivery
                - sagemaker:CreateApp
                Resource: '*'